Subject: [VRRP] Query on Associated IP address and Primary IP address

From: "Gunaseelan V" <[email-masked]>
Date: Thu, 17 Jul 2003 18:42:50 +0530

Hi VRRP Gurus
I just started looking into VRRP protocol and am a beginner in this case, on
browsing the RFC 2338 and other related docs, I am still not clear with the
following points

1) What are the Associated IP addresses?
is it the multiple IP addresses assigned to the same Physical Interface
(means alias or multinetting) or doe sit belong to diff physical interfaces
of a Virtual Router

2) What is Primary IP address?
Is it one of the associated IP addresses within a router selected based on
the some algorithm (say first one or least one etc)

3)I understood the concept of switchover from Master to Back up on
Failure/Master Down timer event etc, but how the router which is on the
other side (say WAN) knows about route to Hosts governed by VRRP?

Here the Back up router once becomes the Master will forward the IP packets,
if so does this router propagates on WAN Side thru any routing protocol
about the Hosts reachability on the LAN side.
If Yes When it should start propagating (only after becoming the Master or
even during Back Up)

Think will limit my doubts with this now, Thanks for your efforts and
patience .

Best Regards
Gunaseelan V

**********************************************************************
This email and any files transmitted with it are confidential and
intended solely for the use of the individual or entity to whom they
are addressed. If you have received this email in error please notify
the system manager.

This footnote also confirms that this email message has been swept by
MIMEsweeper for the presence of computer viruses.

www.mimesweeper.com
**********************************************************************

_______________________________________________
vrrp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/vrrp

---

From: [email-masked]
Date: Mon, 28 Jul 2003 15:32:03 -0700

I had some difficulty understanding your description
of findings and questions.  if my comments don't
cover your questions you might try restating or
maybe someone else will chime in...

> I found an implementation where the Associated IP 
> addresses are configured with the values of IP address 
> pertaining to the Back up routers' interface IP
> addresses. Though the Alias or multinetting are not
> getting supported in that implementation . Am not sure 
> whether this is what being globally followed

a router backing up ip addresses 'owned' by some other
router does need to be configured with the vrrp vrid
and the list of addresses to be backed up.  as we've
discussed before this 'list of associated ip addresses'
may typically be a single ip address.

> Also I find there is a Specific Configuration for 
> Primary IP address and this is used to determine the 
> Master, is this a config parameter or an learned one.

I think I mentioned one other time that no specific 
algorithm for selection of primary ip address is
mandated in the protocol specification.  this is
vendor specific.  as you mention it could be explicitly
configured by administrator.  other options may
be first address configured on an interface, lowest
numerically, etc.  the rfc only mandates that each
router selects its primary address and consistently
uses that address as ip source address in any 
vrrp Advertisement sent and also uses it whenever
performing master election tie breaker comparison.

a general comment on your last question of 'is this
a config parameter or an learned one'...  if you
look at the rfc section 6.1 all of the per-vr 
configurable parameters (marked as 'configured item')
must be explicitly specified.  then if
you read the section 7.1 vrrp packet processing
you'll see there is no auto-learning and any 
mismatch in configuration is typically treated as
an error triggering a notification to alert 
administrator.

> In the former case , the need of IP address info of
> Back up routers ,I feel
> for an election process of Master form pool of
> Backup routers, if Priority
> happens to be same on all then the tie breaker with
> IP address should take
> place. For this to happen the back up routers should
> know about the Ip
> address of others, is this need Justified or
> commonly followed .

a router only needs to know is its own primary ip address.
when/if another backup at the same priority sends
an Advertisement the source ip address will be that
other router's primary ip address.  that's all that's
needed to make the tie breaker comparison.  I guess you
could sorta call that a form of auto-learning the other
backup's primary ip address.

danny